M_ActivitySetWord = {}

function M_ActivitySetWord:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySetWord:init()
	self.datas = {}
	self.datas[1] = {ID = 1, QuantityRequired = 1, NumberOfExchanges = 15, RewardList = {23}, RewardCount = {1}}
	self.datas[2] = {ID = 2, QuantityRequired = 3, NumberOfExchanges = 10, RewardList = {1}, RewardCount = {100000}}
	self.datas[3] = {ID = 3, QuantityRequired = 5, NumberOfExchanges = 5, RewardList = {1,16}, RewardCount = {150000,30}}
	self.datas[4] = {ID = 4, QuantityRequired = 10, NumberOfExchanges = 3, RewardList = {1}, RewardCount = {360000}}
	self.datas[5] = {ID = 5, QuantityRequired = 50, NumberOfExchanges = 2, RewardList = {1,16}, RewardCount = {1800000,200}}
	self.datas[6] = {ID = 6, QuantityRequired = 100, NumberOfExchanges = 1, RewardList = {1}, RewardCount = {4000000}}
end

M_ActivitySetWord:init()
